import { r as registerInstance, h } from './index-4ad5bcba.js';

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const circleProgressCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.progressAmount = "0";
    this.progressColor = "#2ecc71";
  }
  getText() {
    return format(this.first, '', '');
  }
  render() {
    return h("div", null, this.getText());
  }
};
MyComponent.style = circleProgressCss;

export { MyComponent as circle_progress };
