import { p as promiseResolve, b as bootstrapLazy } from './index-4ad5bcba.js';

/*
 Stencil Client Patch Esm v2.6.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["circle-progress",[[1,"circle-progress",{"first":[1],"progressAmount":[1,"progress-amount"],"progressColor":[1,"progress-color"]}]]],["my-component",[[1,"my-component",{"first":[1]}]]]], options);
  });
};

export { defineCustomElements };
