'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-fb2b10e9.js');

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const circleProgressCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.progressAmount = "0";
    this.progressColor = "#2ecc71";
  }
  getText() {
    return format(this.first, '', '');
  }
  render() {
    return index.h("div", null, this.getText());
  }
};
MyComponent.style = circleProgressCss;

exports.circle_progress = MyComponent;
